<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 6/5/16
 * Time: 6:24 PM
 */

namespace Luticate\Utils\Dbo;


class LuMiddlewareDbo extends LuDbo
{
    /**
     * LuMiddlewareDbo constructor.
     * @param $middleware string
     * @param $parameters array
     */
    public function __construct($middleware = "", $parameters = [])
    {
        $this->_middleware = $middleware;
        $this->_parameters = $parameters;
    }

    /**
     * @var $_middleware string
     */
    private $_middleware;

    /**
     * @return string
     */
    public function getMiddleware()
    {
        return $this->_middleware;
    }

    /**
     * @param string $middleware
     */
    public function setMiddleware($middleware)
    {
        $this->_middleware = $middleware;
    }

    /**
     * @return array
     */
    public function getParameters()
    {
        return $this->_parameters;
    }

    /**
     * @param array $parameters
     */
    public function setParameters($parameters)
    {
        $this->_parameters = $parameters;
    }

    /**
     * @var $_parameters array
     */
    private $_parameters;
}