<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 11/23/15
 * Time: 10:47 PM
 */

namespace Luticate\Utils\Dbo;

class LuRequestDbo extends LuDbo
{
    function jsonSerialize()
    {
        return array(
            "Version" => $this->_version,
            "Data" => $this->_data,
            "Message" => $this->_message,
            "StatusCode" => $this->_statusCode
        );
    }

    public static function jsonDeserialize($json)
    {
        $dbo = new LuRequestDbo();
        if (isset($json["Version"])) {
            $dbo->setVersion($json["Version"]);
        }
        if (isset($json["Data"])) {
            $dbo->setData($json["Data"]);
        }
        if (isset($json["Message"])) {
            $dbo->setMessage($json["Message"]);
        }
        if (isset($json["StatusCode"])) {
            $dbo->setStatusCode($json["StatusCode"]);
        }
        return $dbo;
    }

    private $_version;
    /**
     * @return float
     */
    public function getVersion()
    {
        return $this->_version;
    }
    /**
     * @param float $version
     */
    public function setVersion($version)
    {
        $this->_version = $version;
    }

    private $_data;
    /**
     * @return mixed
     */
    public function getData()
    {
        return $this->_data;
    }
    /**
     * @param mixed $data
     */
    public function setData($data)
    {
        $this->_data = $data;
    }

    private $_message;
    /**
     * @return string
     */
    public function getMessage()
    {
        return $this->_message;
    }
    /**
     * @param string $message
     */
    public function setMessage($message)
    {
        $this->_message = $message;
    }

    private $_statusCode;

    /**
     * @return int
     */
    public function getStatusCode()
    {
        return $this->_statusCode;
    }

    /**
     * @param int $statusCode
     */
    public function setStatusCode($statusCode)
    {
        $this->_statusCode = $statusCode;
    }
}