<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 10/22/15
 * Time: 7:52 PM
 */

namespace Luticate\Utils\Dbo;

class LuRouteDbo extends LuDbo
{
    /**
     * @var string
     */
    private $_method;
    
    /**
     * @var string
     */
    private $_url;

    /**
     * @var string
     */
    private $_controller;

    /**
     * @var string
     */
    private $_action;

    /**
     * @var LuMiddlewareDbo[]
     */
    private $_middlewares;

    /**
     * @var array
     */
    private $_parameters;

    /**
     * @return array
     */
    public function getParameters()
    {
        return $this->_parameters;
    }

    /**
     * @param array $parameters
     */
    public function setParameters($parameters)
    {
        $this->_parameters = $parameters;
    }

    /**
     * @return string
     */
    public function getController()
    {
        return $this->_controller;
    }

    /**
     * @param string $controller
     */
    public function setController($controller)
    {
        $this->_controller = $controller;
    }

    /**
     * @return string
     */
    public function getAction()
    {
        return $this->_action;
    }

    /**
     * @param string $action
     */
    public function setAction($action)
    {
        $this->_action = $action;
    }

    /**
     * @return LuMiddlewareDbo[]
     */
    public function getMiddlewares()
    {
        return $this->_middlewares;
    }

    /**
     * @param LuMiddlewareDbo[] $middlewares
     */
    public function setMiddlewares($middlewares)
    {
        $this->_middlewares = $middlewares;
    }

    /**
     * @param LuMiddlewareDbo $middleware
     */
    public function addMiddleware($middleware)
    {
        $this->_middlewares[] = $middleware;
    }

    /**
     * @return string
     */
    public function getMethod()
    {
        return $this->_method;
    }

    /**
     * @param string $method
     */
    public function setMethod($method)
    {
        $this->_method = $method;
    }

    /**
     * @return string
     */
    public function getUrl()
    {
        return $this->_url;
    }

    /**
     * @param string $url
     */
    public function setUrl($url)
    {
        $this->_url = $url;
    }
}