<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 6/5/16
 * Time: 6:24 PM
 */

namespace Luticate\Utils\Dbo;


class LuRouteDboArray extends LuDbo
{
    /**
     * @var LuRouteDbo[]
     */
    protected $_array;
    public function getArray()
    {
        return $this->_array;
    }
    public function setArray($value)
    {
        $this->_array = $value;
    }

    public function jsonSerialize()
    {
        return $this->_array;
    }

    public static function jsonDeserialize($json)
    {
        if (!is_array($json)) {
            throw new LuDboDeserializeException("Invalid array value");
        }
        $dbo = new self();
        $array = [];
        foreach ($json as $data) {
            $array[] = LuRouteDbo::jsonDeserialize($data);
        }
        $dbo->setArray($array);
        return $dbo;
    }

    public static function generateSample()
    {
        return [
            LuRouteDbo::generateSample(),
            LuRouteDbo::generateSample()
        ];
    }
}