<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 5/29/16
 * Time: 8:52 PM
 */

namespace Luticate\Utils\Dbo;


class LuParameterConstraintDbo extends LuDbo
{
    /**
     * @var $_method string
     */
    private $_method;

    /**
     * @var $_arguments string[]
     */
    private $_arguments = [];

    function jsonSerialize()
    {
        return [
            "Method" => $this->_method,
            "Arguments" => $this->_arguments
        ];
    }

    /**
     * @return string
     */
    public function getMethod()
    {
        return $this->_method;
    }

    /**
     * @param string $method
     */
    public function setMethod($method)
    {
        $this->_method = $method;
    }

    /**
     * @return \string[]
     */
    public function getArguments()
    {
        return $this->_arguments;
    }

    /**
     * @param \string[] $arguments
     */
    public function setArguments($arguments)
    {
        $this->_arguments = $arguments;
    }
}