<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 5/29/16
 * Time: 7:48 PM
 */

namespace Luticate\Utils\Dbo;

class LuParameterDbo extends LuDbo
{
    /**
     * @var bool $_notNull
     */
    private $_notNull = true;

    /**
     * @return boolean
     */
    public function isNotNull()
    {
        return $this->_notNull;
    }

    /**
     * @param boolean $notNull
     */
    public function setNotNull($notNull)
    {
        $this->_notNull = $notNull;
    }
    
    /**
     * @var $_summary string
     */
    private $_summary = "";

    /**
     * @return string
     */
    public function getSummary()
    {
        return $this->_summary;
    }

    /**
     * @param string $summary
     */
    public function setSummary($summary)
    {
        $this->_summary = $summary;
    }

    /**
     * @var $_type string
     */
    private $_type = "";

    /**
     * @var $_name string
     */
    private $_name = "";

    /**
     * @return string
     */
    public function getType()
    {
        return $this->_type;
    }

    /**
     * @param string $type
     */
    public function setType($type)
    {
        $this->_type = $type;
    }

    /**
     * @return string
     */
    public function getName()
    {
        return $this->_name;
    }

    /**
     * @param string $name
     */
    public function setName($name)
    {
        $this->_name = $name;
    }

    /**
     * @return LuParameterConstraintDbo[]
     */
    public function getConstraints()
    {
        return $this->_constraints;
    }

    /**
     * @param LuParameterConstraintDbo[] $constraints
     */
    public function setConstraints($constraints)
    {
        $this->_constraints = $constraints;
    }
    
    public function addConstraint($constraint)
    {
        $this->_constraints[] = $constraint;
    }

    /**
     * @var $_constraints LuParameterConstraintDbo[]
     */
    private $_constraints = [];
}