<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 6/5/16
 * Time: 2:58 PM
 */

namespace Luticate\Utils\Middleware;

use Luticate\Utils\Dbo\LuRouteDbo;

abstract class LuAbstractMiddleware
{
    /**
     * @param LuRouteDbo $route The route being executed
     * @param $parameters array The request parameters
     * @return mixed The requests parameters
     */
    public abstract function onBefore(LuRouteDbo $route, $parameters);

    /**
     * @param LuRouteDbo $route The route being executed
     * @param $parameters array The request parameters
     * @param $result mixed The request result
     * @return mixed The request result
     */
    public abstract function onAfter(LuRouteDbo $route, $parameters, $result);
}